Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFont.Style

    java.lang.Object
      java.lang.Enum<QFont.Style>
          com.trolltech.qt.gui.QFont.Style

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFont.Style>

Enclosing class:
  QFont

    public static enum QFont.Style

extends java.lang.Enum<QFont.Style>
implements QtEnumerator

This enum describes the different styles of glyphs that are used to display text.

See Also:
  Weight

Enum Constant Summary
`StyleItalic` Italic glyphs that are specifically designed for the purpose of representing italicized text.
`StyleNormal` Normal glyphs used in unstyled text.
`StyleOblique` Glyphs with an italic appearance that are typically based on the unstyled glyphs, but are not fine-tuned for the purpose of representing italicized text.

Method Summary
`static QFont.Style` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Style` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFont.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### StyleNormal

    public static final QFont.Style StyleNormal

  Normal glyphs used in unstyled text.

### StyleItalic

    public static final QFont.Style StyleItalic

  Italic glyphs that are specifically designed for the purpose of representing italicized text.

### StyleOblique

    public static final QFont.Style StyleOblique

  Glyphs with an italic appearance that are typically based on the unstyled glyphs, but are not fine-tuned for the purpose of representing italicized text.

Method Detail

### values

    public static final QFont.Style[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFont.Style c : QFont.Style.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFont.Style valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Style resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD